db4o |

# ObjectClass.UpdateDepth Method

specifies the updateDepth for this class.

void UpdateDepth(
int depth
);

#### Parameters

depth
  the depth of the desired update for this class.

#### Remarks

specifies the updateDepth for this class.
see the documentation of com.db4o.ObjectContainer.Set for further details.
The default setting is 0: Only the object passed to com.db4o.ObjectContainer.Set will be updated.

#### See Also

ObjectClass Interface | com.db4o.config Namespace | com.db4o.config.Configuration.UpdateDepth | com.db4o.config.ObjectClass.CascadeOnUpdate | com.db4o.config.ObjectField.CascadeOnUpdate | Using callbacks